Gatana logoGatana Docs
RoutesMcp serversServerslug

/mcp-servers/{serverSlug}

Update an MCP server. The slug can be changed, which also changes the URL of the server

PUT
/mcp-servers/{serverSlug}
AuthorizationBearer <token>

In: header

Path Parameters

serverSlug*string
Length1 <= length

Request Body

application/json

slug?string

URL-friendly name of the server, unique within the tenant

Match^[-a-z0-9]+$
Lengthlength <= 20
description?string

Human-readable description of the server

url?string

The URL of the remote MCP server

Formaturi
authorization?

Authorization configuration for the server

transportConfig?|||||

Transport configuration used to connect to the server

oauthMetadata?|

Partial OAuth metadata to apply, or null to clear it

oauthClientConfiguration?|

Partial OAuth client configuration to apply, or null to clear it

timeoutProtocol?integer

Timeout in seconds for a single protocol request to the server

Range0 < value <= 9007199254740991
timeoutTotal?integer

Total timeout in seconds for a tool call, including progress notifications

Range0 < value <= 9007199254740991
resetTimeoutOnProgressNotification?boolean

Whether a progress notification resets the protocol timeout

isOutputCompressionEnabled?boolean

Whether large tool outputs are compressed before they are returned to the client

isOutputCompressionTransformEnabled?boolean

Whether the compression transform step is applied to tool outputs

outputCompressionThresholdBytes?integer

Minimum output size in bytes before compression is applied

Range1024 <= value <= 9007199254740991
firewallRules?array<>

Firewall rules evaluated against tool calls to the server

visibility?string

Who can see the server: only members or the whole organization

Value in"private" | "organization"

Response Body

application/json

curl -X PUT "https://YOUR_ORG_ID.gatana.ai/api/v1/mcp-servers/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "server": {
    "id": "string",
    "slug": "string",
    "tenantId": "string",
    "description": "string",
    "authorization": {
      "method": "none",
      "credentialsScope": "server",
      "apikeys": [
        "string"
      ],
      "toolRefreshCredentialPolicy": "server-scoped"
    },
    "transportConfig": {
      "type": "httpstreaming",
      "url": "string",
      "headers": [
        [
          "string",
          "string"
        ]
      ]
    },
    "oauthClientConfiguration": {},
    "oauthMetadata": {},
    "visibility": "private",
    "isEnabled": true,
    "lastToolRefreshAt": "string",
    "timeoutProtocol": 9007199254740991,
    "timeoutTotal": 9007199254740991,
    "resetTimeoutOnProgressNotification": true,
    "isOutputCompressionEnabled": true,
    "isOutputCompressionTransformEnabled": true,
    "outputCompressionThresholdBytes": 1024,
    "firewallRules": [
      {
        "condition": "string",
        "action": "deny"
      }
    ],
    "createdAt": "string",
    "updatedAt": "string"
  },
  "files": [
    {
      "tenantId": "string",
      "serverId": "string",
      "id": "string",
      "filename": "string",
      "sourceType": "gcs",
      "sourceId": "string",
      "size": 0,
      "credentialId": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}